Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160619 - message encoding not in UTF-8
Summary: message encoding not in UTF-8
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kbd
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: Russian
TreeView+ depends on / blocked
 
Reported: 2005-06-16 05:24 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 02:02:49 UTC


Attachments (Terms of Use)

Description Lawrence Lim 2005-06-16 05:24:03 UTC
Description of problem:
Converting the LC_MESSAGES for ru_RU locale to po format, noticed it was
encoding with koi8-r rather than UTF-8.

Version-Release number of selected component (if applicable):
kbd-1.12-2

How reproducible:
Always

Steps to Reproduce:
1.msgunfmt /usr/share/locale/ru/LC_MESSAGES/kbd.mo > kbd.po
2.
3.
  
Actual results:
charset=koi8-r

Expected results:
charset=UTF-8

Additional info:

[root@freeze ~]# more kbd.po
msgid ""
msgstr ""
"Project-Id-Version: kbd 0.99\n"
"POT-Creation-Date: 1999-10-08 20:28+0200\n"
"PO-Revision-Date: 1999-03-15 09:36+0500\n"
"Last-Translator: QingLong <QingLong@Bolizm>\n"
"Language-Team: LANGUAGE <RU@li.org>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=koi8-r\n"
"Content-Transfer-Encoding: 8bit\n"

Comment 1 Miloslav Trmač 2005-06-16 07:50:45 UTC
That's true, but why is that a problem? libintl automatically converts
the character set:

(LC_ALL=ru_RU.UTF-8 setmetamode --help) produces valid UTF-8,
(LC_ALL=ru_RU setmetamode --help) produces valid ISO 8859-5.

Comment 2 Lawrence Lim 2005-06-17 02:02:49 UTC
Hi,
It was something that I came across while I was trying to determine why the
russian text in the console was not readable. Thanks for clarifying and closing
the bugs as NOTABUG.


Thanks.


Note You need to log in before you can comment on or make changes to this bug.